# Record Class CLNCoordinateSystem

java.lang.Object
java.lang.Record
com.io7m.calino.api.CLNCoordinateSystem

Record Components:
  `axisR` - The R axis orientation
  `axisS` - The S axis orientation
  `axisT` - The T axis orientation

All Implemented Interfaces:
  `CLNDescribableType`

public record CLNCoordinateSystem(CLNCoordinateAxisR axisR, CLNCoordinateAxisS axisS, CLNCoordinateAxisT axisT) extends Record implements CLNDescribableType
The coordinate system axis orientations.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLNCoordinateSystem(CLNCoordinateAxisR axisR, CLNCoordinateAxisS axisS, CLNCoordinateAxisT axisT)`
  The coordinate system axis orientations.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CLNCoordinateAxisR`
  `axisR()`
  Returns the value of the `axisR` record component.
  `CLNCoordinateAxisS`
  `axisS()`
  Returns the value of the `axisS` record component.
  `CLNCoordinateAxisT`
  `axisT()`
  Returns the value of the `axisT` record component.
  `String`
  `descriptor()`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static CLNCoordinateSystem`
  `parseDescriptor(String text)`
  Parse a coordinate system descriptor.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CLNCoordinateSystem

    public CLNCoordinateSystem(CLNCoordinateAxisR axisR, CLNCoordinateAxisS axisS, CLNCoordinateAxisT axisT)
    The coordinate system axis orientations.
    Parameters:
      `axisR` - The R axis orientation
      `axisS` - The S axis orientation
      `axisT` - The T axis orientation

- ## Method Details

  - ### parseDescriptor

    public static CLNCoordinateSystem parseDescriptor(String text) throws ParseException
    Parse a coordinate system descriptor.
    Parameters:
      `text` - The descriptor text
    Returns:
      A coordinate system
    Throws:
      `ParseException` - On errors

  - ### descriptor

    public String descriptor()
    Specified by:
      `descriptor` in interface `CLNDescribableType`
    Returns:
      The descriptor for the object

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### axisR

    public CLNCoordinateAxisR axisR()
    Returns the value of the `axisR` record component.
    Returns:
      the value of the `axisR` record component

  - ### axisS

    public CLNCoordinateAxisS axisS()
    Returns the value of the `axisS` record component.
    Returns:
      the value of the `axisS` record component

  - ### axisT

    public CLNCoordinateAxisT axisT()
    Returns the value of the `axisT` record component.
    Returns:
      the value of the `axisT` record component